// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: essmodule/essmodule.proto

package openfmb.essmodule;

public interface ESSControlScheduleFSCHOrBuilder extends
    // @@protoc_insertion_point(interface_extends:essmodule.ESSControlScheduleFSCH)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * Discrete value in ESSCSG type
   * </pre>
   *
   * <code>.essmodule.ESSCSG ValDCSG = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the valDCSG field is set.
   */
  boolean hasValDCSG();
  /**
   * <pre>
   * Discrete value in ESSCSG type
   * </pre>
   *
   * <code>.essmodule.ESSCSG ValDCSG = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The valDCSG.
   */
  openfmb.essmodule.ESSCSG getValDCSG();
  /**
   * <pre>
   * Discrete value in ESSCSG type
   * </pre>
   *
   * <code>.essmodule.ESSCSG ValDCSG = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.essmodule.ESSCSGOrBuilder getValDCSGOrBuilder();
}
